package com.yami.shop.bean.enums;

public enum ReturnMoneyStsType {

    /**
     * 退款申请中
     */
    APPLY(10),

    /**
     * 卖家处理退款
     */
    PROCESSING(20),

    /**
     * 买家已发货 :待退货（一审同意）
     */
    CONSIGNMENT(60),

    /**
     * 待确认收货（二审待审核）
     */
    RECEIVE(65),

    /**
     * 退款成功
     */
    SUCCESS(70),

    /**
     * 客户撤回退款申请
     */
    CANCEL(40),

    /**
     * 商家拒绝（驳回）
     */
    REJECT(30),

    /**
     * 退款关闭
     */
    FAIL(-1);

    private Integer num;

    ReturnMoneyStsType(Integer num) {
        this.num = num;
    }

    public Integer value() {
        return num;
    }

    public static ReturnMoneyStsType instance(Integer value) {
        ReturnMoneyStsType[] enums = values();
        for (ReturnMoneyStsType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
